Skip to main content
GET
/
v5
/
banks
/
bankTransfers
Get bank transfers
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/banks/bankTransfers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "bankAccountId": 123,
      "type": "CONFIRMED",
      "status": "ACTIVE",
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "userAccess": "NONE",
      "accountantAccess": "NONE",
      "transferType": "DEPOSIT",
      "amount": 50.01,
      "date": "2021-01-04",
      "description": "Online Banking payment",
      "creditAccountId": 123,
      "debitAccountId": 123,
      "apiExpenseId": "<string>",
      "apiPaymentId": "<string>",
      "apiTransactionId": "<string>",
      "apiName": "PLAID",
      "bankDescription": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "Citi Premier® Card",
      "apiInstitutionId": "<string>",
      "matchingBankTransferId": 123,
      "suggestedMatchingBankTransferIds": [
        123
      ],
      "customData": {},
      "isPayout": true,
      "v6EntityId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all bank transfers.

type
enum<string>[]

Type filter - returns all bank transfers for the specified types. Null or empty list will default to PENDING & CONFIRMED.

Available options:
PENDING,
CONFIRMED
transferType
enum<string>[]

Transfer type filter - returns all bank transfers for the specified transfer types. Null or empty list will default to DEPOSIT and WITHDRAWAL.

Available options:
DEPOSIT,
WITHDRAWAL
status
enum<string>[]

Status filter - returns all bank transfers for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE
isPayout
boolean

Payout filter - returns all bank transfers based on payout status. Null will return all bank transfers

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate